NETIFYD(8)

NAME
@PACKAGE_TARNAME@ - @PACKAGE_NAME@ v@PACKAGE_VERSION@

DESCRIPTION
The @PACKAGE_NAME@ is a deep-packet inspection server. The Agent is built on top of nDPI (http://www.ntop.org/products/deep-packet-inspection/ndpi/) (formerly OpenDPI) to detect network protocols and applications. These detections can be saved locally, served over a UNIX or TCP socket, and/or "pushed" (via HTTP POSTs) to a remote third-party server. Flow metadata, network statistics, and detection classifications are stored using JSON encoding. Optionally, the @PACKAGE_NAME@ can be coupled with a Netify Cloud (https://www.netify.ai/) subscription for further cloud processing, historical storage, machine-learning analysis, event notifications, device detection/identification, along with the option (on supported platforms) to take an active role in policing/bandwidth-shaping specific network protocols and applications.

SYNOPSIS
@PACKAGE_TARNAME@ [-p, --provision] @PACKAGE_TARNAME@ [--enable/disable-sink] @PACKAGE_TARNAME@ [-P, --protocols] @PACKAGE_TARNAME@ [-U, --uuidgen] @PACKAGE_TARNAME@ [-d, --debug] [-e, --debug-ether-names] [-D, --debug-uploads] [-t, --disable-conntrack] [-l, --disable-netlink] [-I, --internal=INTERFACE] [-E, --external=INTERFACE] [-A, --device-address=ADDRESS] [-c, --config=CONFIG] [-s, --serial=UUID] [-C, --sink-conf=FILENAME]

OPTIONS
-p, --provision

Generate a new client UUID if one hasn't already been set.  Display the URL used to provision this Agent.

--enable-sink, --disable-sink
    Enable or disable access to the Netify Cloud. When enabled, flow metadata and DPI detection information will be uploaded to the Cloud for further processing and analysis. A Netify Cloud Subscription (https://netify.ai/) is required. This option is disabled by default.

-P, --protocols
    Display the current protocol and service ID list.

-U, --uuidgen
    Generate a client UUID.

-d, --debug
    Enable debug mode. Remain in the foreground and emit debug messages.

-e, --debug-ether-names
    Try to resolve MAC addresses to names using contents of /etc/ethers if available.

-D, --debug-uploads
    Emit JSON upload debug messages (client/server HTTP headers, etc).

-t, --disable-conntrack
    Disable connection tracking support. This option will disable IP NAT detection for flows captured from external interfaces.

-l, --disable-netlink
    Disable netlink support. This option will disable the detection of IP address and routing changes. The address and routing configuration for an interface must be supplied using the --device-address=ADDRESS option (described below).

-I, --internal=INTERFACE
    Capture packets on this internal (LAN) interface. Can be specified more than once for multiple interfaces.

-E, --external=INTERFACE
    Capture packets on this external (WAN) interface. Can be specified more than once for multiple interfaces.

-A, --device-address=ADDRESS
    For interfaces receiving mirrored traffic, or when netlink is disabled or unavailable, use this to specify the addresses local to the previous interface (-I, or -E) parameter. Can be specified more than once for multiple addresses.

-c, --config=CONFIG
    Specify an alternate configuration file. Default: /etc/@PACKAGE_TARNAME@.conf

-s, --serial=UUID
    Specify a client serial number (UUID). Used for device identification with the Netify Cloud Sync server(s). Normally, the auto-generated client UUID is used for this purpose.

-f, --sink-conf=FILENAME
    Specify an alternate Netify Cloud Sink configuration file.

BUGS
If you find a bug or have a feature request, please report it here: @PACKAGE_BUGREPORT@

SEE ALSO
@PACKAGE_TARNAME@.conf(5)

COPYRIGHT
Copyright (C) 2015-2019 eGloo Incorporated <http://www.egloo.ca>

LICENSE
This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.